Bug 198210 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gjdoc (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
:
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
 
Reported: 2006-07-10 10:28 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:17:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 10:28:52 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r


undefined symbol: _ZN5antlr20RecognitionException6class       (/usr/lib/lib-gnu-classpath-tools-gjdoc.so)
undefined symbol: _ZN5antlr20TokenStreamException6class       (/usr/lib/lib-gnu-classpath-tools-gjdoc.so)
undefined symbol: _ZN5antlr19CharStreamException6class        (/usr/lib/lib-gnu-classpath-tools-gjdoc.so)
undefined symbol: _ZN5antlr10ByteBuffer6class (/usr/lib/lib-gnu-classpath-tools-gjdoc.so)
undefined symbol: _ZN3com3sun7javadoc7RootDoc6class   (/usr/lib/lib-gnu-classpath-tools-gjdoc.so)
undefined symbol: _ZN5antlr7ASTPair6class     (/usr/lib/lib-gnu-classpath-tools-gjdoc.so)
undefined symbol: _ZN5antlr21LexerSharedInputState6class      (/usr/lib/lib-gnu-classpath-tools-gjdoc.so)
undefined symbol: _ZN3com3sun7javadoc9MethodDoc6class (/usr/lib/lib-gnu-classpath-tools-gjdoc.so)
undefined symbol: _ZN5antlr31TokenStreamRecognitionException6class    (/usr/lib/lib-gnu-classpath-tools-gjdoc.so)
undefined symbol: _ZN3com3sun7javadoc9MemberDoc6class (/usr/lib/lib-gnu-classpath-tools-gjdoc.so)
...
...
Comment 1 Andrew Overholt 2006-10-18 12:17:44 EDT
gjdoc-0.7.7-10 no longer has this problem.

Note You need to log in before you can comment on or make changes to this bug.